[Plugin] Mirror
-
@diego-rodriguez said:
tig thanks for this new update.
but unfortunately continues to generate bugplat when ouliner window this open, and make mirror for a group or component.use sketchup 8, windows xp sp3
It should roll up the Outliner in Windows ?
-
TIG
I have replaced an archaic version of the Mirror tool with your new one and see that the right mouse context choice is now gone and only the icon in the toolbar is there. Could you please re-intoduce the necessary lines in the code to enable it to appear in the context menu....
Sorry but i am a creature of habit and the use of the icon interrupts my usual workflow...
Thanks in advance.
Dave
-
@davidlouis said:
TIG
I have replaced an archaic version of the Mirror tool with your new one and see that the right mouse context choice is now gone and only the icon in the toolbar is there. Could you please re-introduce the necessary lines in the code to enable it to appear in the context menu....
Sorry but i am a creature of habit and the use of the icon interrupts my usual workflow...
Thanks in advance.
DaveSorry about that...
I disabled it temporarily whilst I was doing something else!
Here's v3.5 that has it reintroduced...
http://forums.sketchucation.com/viewtopic.php?p=276512#p276512
-
thanks for sharing a great plugins like this sir,..
-
Tig: Thanks for that gift so beautiful. I'm using a lot and it works well.
-
thanks for your sharing
-
@TIG: Could you make some loader for this ? I would like to have a folder with "MI.png, Mirror.rb and toggleWindows.rb" and a Mirror_loader.rb (or similar). Win32API.so I thinks it's best to stay in Plugins folder, as it is used by more plugins.
Thanks a lot.
-
@unknownuser said:
@TIG: Could you make some loader for this ? I would like to have a folder with "MI.png, Mirror.rb and toggleWindows.rb" and a Mirror_loader.rb (or similar). Win32API.so I thinks it's best to stay in Plugins folder, as it is used by more plugins.
Thanks a lot.
If you want to move files you need to rewrite the menu/toolbar part of their code to ensure the files are found in the new sub-folder.
A loader is a simply a file in the ../Plugins/ folder called perhapsmyloader.rb
containing this line of code
load "mysubfolder/myscript.rb"
The line can be repeated for multiple files to be loaded...
Wheremysubfolder
is a folder in ../Plugins/ containing the scriptmyscript.rb
that you want loading... -
Today I noticed when I mirror a component the mirrored copy gets "Scale definition" active. When click to reset it rotates 180 degree, when choose to scale the original now gets "Scale definition"?
-
@dedmin said:
Today I noticed when I mirror a component the mirrored copy gets "Scale definition" active. When click to reset it rotates 180 degree, when choose to scale the original now gets "Scale definition"?
The component instance will be scaled '-1' in the selected direction[s]. Resetting the scale should revert to the original scaling...
-
And may be this is the cause of my troubles with the components getting unique! I did a lot of models with the Mirror Selection - now I just copied instead of mirror and components don't convert to unique!
-
hello
maybe i've missed something, but I tried mirror 3.5 with sketchyphysics and it won't do the mirror operation... Once the sketchyphisics has been removed no problem... I had thought I had understood that 3.5 fixed this (amongst other things)... shame as it's a great tool.
(using v7 on a vista platform)...thanks anyway to TIG for all the time & trouble.
-
This is a known bug caused by SketchyPhysics rewriting the code of some of the API's own Group class, which is used by Mirror. I'm not sure what the issue is.
Perhaps if you bring pressure to bear on the SketchyPhysics side they could fix their code to stop the problem!
AS SketchyPhysics loads after Mirror could you try renaming 'Mirror.rb' as 'zMirror.rb' so it loads afterwards -perhaps what SP breaks will stay OK this way and hopefully SP will still work... -
@tig said:
This is a known bug caused by SketchyPhysics rewriting the code of some of the API's own Group class, which is used by Mirror. I'm not sure what the issue is.
Perhaps if you bring pressure to bear on the SketchyPhysics side they could fix their code to stop the problem!
AS SketchyPhysics loads after Mirror could you try renaming 'Mirror.rb' as 'zMirror.rb' so it loads afterwards -perhaps what SP breaks will stay OK this way and hopefully SP will still work...Thanks for yr speedy reply... I tried the workaround, but alas to no avail ! I guess you're right, we have to ask the SP guys to fix there stuff ! Thanks anyway, & meantime their stuff is out & yours is in as totally indispensable (I don't understand why the gogol people haven't put in a mirror command as a basic standard tool like in any other cad program !).
-
Thank you!I have downloaded it.
-
Hi TIG,
Thank you for sharing all of your wonderful talents. This + the imagetrimmer.rb are very nice.I haven't had time to read this whole thread, so sorry if this issue has been mentioned before:
On my machine, when I have the toolbar for Mirror open, and I double-click a component or group to edit - it can take about 4-5 seconds to actually open the group or component. This was killing me until I tried just closing the mirror36.rb toolbar button. I downloaded the .rb file from this thread just tonight. I thought to close the toolbar and the problem went away. I would have no idea why. I have a shortcut assigned and don't need the toolbar anyway. -
@fletch said:
Hi TIG,
Thank you for sharing all of your wonderful talents. This + the imagetrimmer.rb are very nice.
I haven't had time to read this whole thread, so sorry if this issue has been mentioned before:
On my machine, when I have the toolbar for Mirror open, and I double-click a component or group to edit - it can take about 4-5 seconds to actually open the group or component. This was killing me until I tried just closing the mirror36.rb toolbar button. I downloaded the .rb file from this thread just tonight. I thought to close the toolbar and the problem went away. I would have no idea why. I have a shortcut assigned and don't need the toolbar anyway.Make sure you have v3.6 installed...
It might be because there's a context-menu too ?
To stop the toolbar being made at all you can simply move the button file 'MI.png' out of the ../Plugins/ folder and then there will be no toolbar as it only gets made IF the button's png is found.
To stop the context-menu item appearing you can open the 'Mirror.rb' file in Notepad.exe or another equivalent plain text editor [NOT a wordprocessor] and near the end of the code around line #376 there's this block of textUI.add_context_menu_handler do |menu|### v3.5 TIG #if Sketchup.active_model.selection #menu.add_separator menu.add_item("Mirror Selection"){Sketchup.active_model.select_tool(MirrorTool.new)} #end#if end#do menu###
change it so the UI.add..., menu.add... and end#do... lines all start with a #, thus
#UI.add_context_menu_handler do |menu|### v3.5 TIG #if Sketchup.active_model.selection #menu.add_separator #menu.add_item("Mirror Selection"){Sketchup.active_model.select_tool(MirrorTool.new)} #end#if #end#do menu###
- now there'll be no context-menu.
Having done this you'll only have the main Plugins menu item 'Mirror' to shortcut to.
Incidentally if you'd like the tool to appear in say the 'Tools' menu and be named 'Mirror' you can simply edit line #370
UI.menu("Plugins").add_item("Mirror Selection"){Sketchup.active_model.select_tool(MirrorTool.new)}
to read
UI.menu("Tools").add_item("Mirror"){Sketchup.active_model.select_tool(MirrorTool.new)}
- now there'll be no context-menu.
-
Thanks a lot TIG.
I was in a (rather) large file, and perhaps it was just a glitch happening with the machine/RAM/etc.
Everything seems fine today (with or without toolbar showing)... I do appreciate the info, however, as there are times I wish I could modify these things in some rubies. -
I confirm that circles get exploded in some cases.
Not when they are free standing, but when they are part of a face, like on top of a cube, yes.
Pretty annoying. -
Mario
I've tested what you say and can't get a circle or arc to 'explode' after mirroring
Are you using the latest version?
Can you supply a skp where you do get this issue, so that I can test it...
Advertisement